{
	"name": "blueprint_svr",
	"version": "0.1.0",
	"description": "Blueprint code for Nest.",
	"author": "Taworn Ta.",
	"private": true,
	"license": "MIT",
	"scripts": {
		"build": "nest build",
		"format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
		"start": "nest start",
		"start:dev": "nest start --watch",
		"start:debug": "nest start --debug --watch",
		"start:prod": "node dist/main",
		"lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
		"test": "jest",
		"test:watch": "jest --watch",
		"test:cov": "jest --coverage",
		"test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
		"test:e2e": "jest --config ./test/jest-e2e.json",
		"doc": "npx @compodoc/compodoc -p tsconfig.json --port 8800 --serve",
		"startx": "TESTDB_USE=1 nest start",
		"startx:dev": "TESTDB_USE=1 nest start --watch",
		"startx:debug": "TESTDB_USE=1 nest start --debug --watch"
	},
	"dependencies": {
		"@nestjs-modules/mailer": "^2.0.2",
		"@nestjs/axios": "^3.0.2",
		"@nestjs/common": "^10.3.8",
		"@nestjs/config": "^3.2.2",
		"@nestjs/core": "^10.3.8",
		"@nestjs/platform-express": "^10.3.8",
		"@nestjs/schedule": "^4.0.2",
		"@nestjs/serve-static": "^4.0.2",
		"@nestjs/typeorm": "^10.0.2",
		"axios": "^1.7.2",
		"class-transformer": "^0.5.1",
		"class-validator": "^0.14.1",
		"ejs": "^3.1.10",
		"express": "^4.19.2",
		"jsonwebtoken": "^9.0.2",
		"lodash": "^4.17.21",
		"multer": "^1.4.5-lts.1",
		"mysql2": "^3.9.7",
		"nodemailer": "^6.9.13",
		"preview-email": "^3.0.19",
		"reflect-metadata": "^0.2.2",
		"rxjs": "^7.8.1",
		"sqlite3": "^5.1.7",
		"typeorm": "^0.3.20",
		"winston": "^3.13.0",
		"winston-daily-rotate-file": "^5.0.0"
	},
	"devDependencies": {
		"@nestjs/cli": "^10.3.2",
		"@nestjs/schematics": "^10.1.1",
		"@nestjs/testing": "^10.3.8",
		"@types/ejs": "^3",
		"@types/express": "^4.17.21",
		"@types/jest": "^29.5.12",
		"@types/lodash": "^4",
		"@types/multer": "^1.4.11",
		"@types/node": "^20.12.12",
		"@types/nodemailer": "^6",
		"@types/supertest": "^6.0.2",
		"@typescript-eslint/eslint-plugin": "^7.10.0",
		"@typescript-eslint/parser": "^7.10.0",
		"eslint": "^8.56.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-prettier": "^5.1.3",
		"jest": "^29.7.0",
		"prettier": "^3.2.5",
		"source-map-support": "^0.5.21",
		"supertest": "^7.0.0",
		"ts-jest": "^29.1.3",
		"ts-loader": "^9.5.1",
		"ts-node": "^10.9.2",
		"tsconfig-paths": "^4.2.0",
		"tslib": "^2.6.2",
		"typescript": "^5.4.5"
	},
	"jest": {
		"moduleFileExtensions": [
			"js",
			"json",
			"ts"
		],
		"rootDir": "src",
		"testRegex": ".*\\.spec\\.ts$",
		"transform": {
			"^.+\\.(t|j)s$": "ts-jest"
		},
		"collectCoverageFrom": [
			"**/*.(t|j)s"
		],
		"coverageDirectory": "../coverage",
		"testEnvironment": "node"
	},
	"packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}
